---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: lgg-oauth
spec:
  selector:
    matchLabels:
      application: lgg-oauth
  template:
    metadata:
      labels:
        application: lgg-oauth
    spec:
      containers:
        - name: lgg-oauth
          image: registry.gitlab.com/latency.gg/lgg-oauth
          resources:
            requests:
              memory: 100Mi
              cpu: 100m
            limits:
              memory: 200Mi
              cpu: 200m
          ports:
            - name: application
              containerPort: 8080
            - name: meta
              containerPort: 9090
          args:
            - server
            - --endpoint
            - https://oauth.latency.dev
          env:
            - name: NODE_ENV
              valueFrom:
                configMapKeyRef:
                  name: environment
                  key: NODE_ENV
            - name: GITLAB_CLIENT_ID
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GITLAB_CLIENT_ID
            - name: GITLAB_CLIENT_SECRET
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GITLAB_CLIENT_SECRET

            - name: GITHUB_CLIENT_ID
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GITHUB_CLIENT_ID
            - name: GITHUB_CLIENT_SECRET
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GITHUB_CLIENT_SECRET

            - name: GOOGLE_CLIENT_ID
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GOOGLE_CLIENT_ID
            - name: GOOGLE_CLIENT_SECRET
              valueFrom:
                secretKeyRef:
                  name: oauth
                  key: GOOGLE_CLIENT_SECRET

          livenessProbe:
            periodSeconds: 120
            timeoutSeconds: 60
            httpGet:
              path: /liveness
              port: 9090
          readinessProbe:
            timeoutSeconds: 5
            httpGet:
              path: /readiness
              port: 9090

---
apiVersion: v1
kind: Service
metadata:
  name: lgg-oauth
spec:
  type: ClusterIP
  selector:
    application: lgg-oauth
  ports:
    - name: application
      protocol: TCP
      port: 8080
